### Function

# RB uri_resolve_symlink

#### Declaration [src]

    char*
    rb_uri_resolve_symlink (
      const char* uri,
      GError** error
    )

#### Description [src]

Attempts to resolve symlinks in `uri` and return a canonical URI for the file it identifies.

#### Parameters

`uri`

  Type: `const char*`

  The URI to process.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `char*`

Resolved URI, or NULL on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.